      program shapiro ! BB Jun 1 2017. Rindler p.237.
c Schwarzschild radius of sun and more.
      implicit real*8 (a-h,o-z)
      logical ltest
      parameter(iuo=6)
      parameter(c=2.998d+08) ! 2.998d+08 [m/s] = 1 -> c.
      parameter(G=6.674d-11) ! 6.674d-11 [m^3 kg^{-1} s^{-2}] = 1 -> G.
      parameter(sm=1.9886d30,R=695700.d03) ! Sun mass [kg], radius [m].
      parameter(X1=149.6d09) ! 1 [au] Distance Earth-Sun [m]. 
      parameter(XM=057.9d09,XV=108.2d09) ! Sun to Mercury, Venus [m]. 
      ltest=.true.
      ltest=.false.
      if(ltest) stop "shapiro: ltest."
      xsm=G*sm/c**2 ! Rindler 11.16 p.230.
      write(iuo,'(/," Sun Schwarzschild mass [m]  =",1g12.4)') xsm
c
      write(iuo,'(/," Mercury:")')
      dt=4*xsm*log(4*(X1/R)*(XM/R))
      write(iuo,'(" Shapiro time delay[m], [km] =",2g12.4)') dt,dt/10**3
      dt=dt/c
      write(iuo,'(" Shapiro time delay [s]      =",1g12.4)') dt
c
      write(iuo,'(/," Venus:")')
      dt=4*xsm*log(4*(X1/R)*(XV/R))
      write(iuo,'(" Shapiro time delay[m], [km] =",2g12.4)') dt,dt/10**3
      dt=dt/c
      write(iuo,'(" Shapiro time delay [s]      =",1g12.4,/)') dt
c
      stop "shapiro: all done."
      end
